Bug 1294512 - dmesg warning at sound/pci/hda/hda_generic.c and call trace for snd_hda_codec_generic [NEEDINFO]
dmesg warning at sound/pci/hda/hda_generic.c and call trace for snd_hda_codec...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 11:28 EST by redcfm
Modified: 2017-04-28 13:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:16:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
dmesg level warn (25.75 KB, application/vnd.oasis.opendocument.text)
2015-12-28 11:32 EST, redcfm
no flags Details
alsa-info.sh output (52.42 KB, text/plain)
2015-12-29 12:45 EST, redcfm
no flags Details

  None (edit)
Description redcfm 2015-12-28 11:28:35 EST
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:43.0) Gecko/20100101 Firefox/43.0
Build Identifier: 

Each time I boot my laptop (Linux 4.2.8-300.fc23.x86_64), I have the following line with dmesg :
"WARNING: CPU: 0 PID: 814 at sound/pci/hda/hda_generic.c:1188 get_line_out_pfx+0x8a/0x360 [snd_hda_codec_generic]()"

followed by a call trace.
[   16.907688] Call Trace:
[   16.907692]  [<ffffffff817738ca>] dump_stack+0x45/0x57
[   16.907695]  [<ffffffff8109e4c6>] warn_slowpath_common+0x86/0xc0
[   16.907696]  [<ffffffff8109e555>] warn_slowpath_fmt+0x55/0x70
[   16.907699]  [<ffffffffa079205a>] ? add_sw_ctl+0x6a/0xa0 [snd_hda_codec_generic]...

[<ffffffff8177a2ae>] entry_SYSCALL_64_fastpath+0x12/0x71
[   16.907751] ---[ end trace 218c050fdc23a1d1 ]---

My sound configuration works fine:
- Computer : ASUSTeK COMPUTER INC. N551JK/N551JK, BIOS N551JK.202 07/17/2014
- alsamixer is ok (carte 0: HDMI [HDA Intel HDMI], carte 1: PCH [HDA Intel PCH]


Reproducible: Always

Steps to Reproduce:
1. dmesg --clear
2. reboot
3. listening with amarok is good (internal audio + subwoofer)
4. dmesg displays the same warning CPU: 0 PID: 814
Actual Results:  
My laptop performs well but I steel have the dmesg warning and call trace.


Expected Results:  
No dmesg warning at CPU: 0 PID: 814 and call trace.
Comment 1 redcfm 2015-12-28 11:32 EST
Created attachment 1110039 [details]
dmesg level warn
Comment 2 redcfm 2015-12-29 12:43:18 EST
I found alsa-info.sh and found the same dmesg call trace
Comment 3 redcfm 2015-12-29 12:45 EST
Created attachment 1110296 [details]
alsa-info.sh output
Comment 4 Laura Abbott 2016-09-23 15:45:12 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 5 redcfm 2016-10-17 12:46:16 EDT
I moved to Fedora 24 kernel 4.7.7-200.fc24.x86_64 and still experiencing the same minor issue.

[   19.609792] Call Trace:
[   19.609794]  [<ffffffff853dad0f>] dump_stack+0x63/0x84
[   19.609795]  [<ffffffff850a0b4b>] __warn+0xcb/0xf0
[   19.609797]  [<ffffffff850a0bcf>] warn_slowpath_fmt+0x5f/0x80
[   19.609799]  [<ffffffffc080bf3a>] ? add_sw_ctl+0x6a/0xa0 [snd_hda_codec_generic]
[   19.609801]  [<ffffffffc0807926>] get_line_out_pfx+0x86/0x330 [snd_hda_codec_generic]
[   19.609803]  [<ffffffffc080e9c9>] snd_hda_gen_parse_auto_config+0xd69/0x32d0 [snd_hda_codec_generic]
[   19.609806]  [<ffffffffc085d4b4>] ? snd_hda_parse_pin_defcfg+0x6b4/0xbd0 [snd_hda_codec]
[   19.609808]  [<ffffffff857ea0b2>] ? mutex_lock+0x12/0x30
[   19.609811]  [<ffffffffc088e5c8>] alc_parse_auto_config+0x128/0x280 [snd_hda_codec_realtek]
[   19.609813]  [<ffffffffc088d507>] ? alc_read_coefex_idx+0x37/0x40 [snd_hda_codec_realtek]
[   19.609816]  [<ffffffffc089244b>] patch_alc662+0x17b/0x290 [snd_hda_codec_realtek]
[   19.609818]  [<ffffffffc0855438>] hda_codec_driver_probe+0x68/0x100 [snd_hda_codec]
[   19.609820]  [<ffffffff8551f3c0>] ? devices_kset_move_last+0x50/0x90
[   19.609821]  [<ffffffff8552338c>] driver_probe_device+0x22c/0x440
[   19.609822]  [<ffffffff85523671>] __driver_attach+0xd1/0xf0
[   19.609824]  [<ffffffff855235a0>] ? driver_probe_device+0x440/0x440
[   19.609825]  [<ffffffff85520cbc>] bus_for_each_dev+0x6c/0xc0
[   19.609826]  [<ffffffff85522a7e>] driver_attach+0x1e/0x20
[   19.609827]  [<ffffffff855224c3>] bus_add_driver+0x1c3/0x280
[   19.609828]  [<ffffffffc08b9000>] ? 0xffffffffc08b9000
[   19.609829]  [<ffffffff85523fc0>] driver_register+0x60/0xe0
[   19.609830]  [<ffffffffc08b9000>] ? 0xffffffffc08b9000
[   19.609833]  [<ffffffffc08550da>] __hda_codec_driver_register+0x5a/0x60 [snd_hda_codec]
[   19.609836]  [<ffffffffc08b901e>] realtek_driver_init+0x1e/0x1000 [snd_hda_codec_realtek]
[   19.609837]  [<ffffffff85002190>] do_one_initcall+0x50/0x180
[   19.609839]  [<ffffffff85220282>] ? kmem_cache_alloc_trace+0x182/0x1d0
[   19.609841]  [<ffffffff851b47db>] ? do_init_module+0x27/0x1d8
[   19.609842]  [<ffffffff851b4813>] do_init_module+0x5f/0x1d8
[   19.609844]  [<ffffffff8512b8a0>] load_module+0x1fd0/0x27e0
[   19.609845]  [<ffffffff85128780>] ? __symbol_put+0x60/0x60
[   19.609848]  [<ffffffff8512c1fe>] SYSC_init_module+0x14e/0x190
[   19.609849]  [<ffffffff8512c36e>] SyS_init_module+0xe/0x10
[   19.609851]  [<ffffffff85003d52>] do_syscall_64+0x62/0x110
[   19.609852]  [<ffffffff857ec661>] entry_SYSCALL64_slow_path+0x25/0x25
[   19.609853] ---[ end trace c1022569718d6601 ]---
Comment 6 redcfm 2016-11-08 13:57:34 EST
Current release : Linux 4.8.6-201.fc24.x86_64

Similar call trace :
[   17.720131] WARNING: CPU: 4 PID: 690 at sound/pci/hda/hda_generic.c:1187 get_line_out_pfx+0x86/0x330 [snd_hda_codec_generic]                     
[   17.720131] BUG?                                                                                                                                 
[   17.720132] Modules linked in: snd_hda_codec_realtek(+) arc4 videobuf2_core ghash_clmulni_intel ath9k ath9k_common snd_hda_codec_generic snd_hda_codec_hdmi ath9k_hw ath3k btusb mac80211 videodev snd_hda_intel snd_hda_codec intel_cstate btrtl btbcm iTCO_wdt media ath cfg80211 snd_hda_core intel_uncore intel_rapl_perf btintel asus_nb_wmi iTCO_vendor_support rtsx_pci_ms snd_hwdep snd_seq snd_seq_device bluetooth snd_pcm asus_wmi snd_timer memstick sparse_keymap snd rfkill soundcore joydev lpc_ich shpchp ie31200_edac edac_core asus_wireless i2c_i801 i2c_smbus mei_me mei tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc hid_logitech_hidpp i915 rtsx_pci_sdmmc mmc_core mxm_wmi i2c_algo_bit drm_kms_helper drm crc32c_intel r8169 serio_raw rtsx_pci mii wmi video fjes hid_logitech_dj                                                                       
                                                                                                                                                    
[   17.720157] CPU: 4 PID: 690 Comm: systemd-udevd Not tainted 4.8.6-201.fc24.x86_64 #1
[   17.720158] Hardware name: ASUSTeK COMPUTER INC. N551JK/N551JK, BIOS N551JK.203 10/06/2014
[   17.720158]  0000000000000286 00000000e1c50da3 ffff8eda996db900 ffffffffab3e5ebd
[   17.720160]  ffff8eda996db950 0000000000000000 ffff8eda996db940 ffffffffab0a0e8b
[   17.720162]  000004a3c0695dbf ffff8eda95c91cf0 0000000000000004 0000000000000004
[   17.720163] Call Trace:
[   17.720167]  [<ffffffffab3e5ebd>] dump_stack+0x63/0x86
[   17.720169]  [<ffffffffab0a0e8b>] __warn+0xcb/0xf0
[   17.720171]  [<ffffffffab0a0f0f>] warn_slowpath_fmt+0x5f/0x80
[   17.720173]  [<ffffffffc0695e7a>] ? add_sw_ctl+0x6a/0xa0 [snd_hda_codec_generic]
[   17.720175]  [<ffffffffc0691926>] get_line_out_pfx+0x86/0x330 [snd_hda_codec_generic]
[   17.720177]  [<ffffffffc0698a37>] snd_hda_gen_parse_auto_config+0xe07/0x3270 [snd_hda_codec_generic]
[   17.720182]  [<ffffffffc0641484>] ? snd_hda_parse_pin_defcfg+0x6b4/0xbc0 [snd_hda_codec]
[   17.720185]  [<ffffffffab7ffb92>] ? mutex_lock+0x12/0x30
[   17.720188]  [<ffffffffc06a45c7>] alc_parse_auto_config+0x127/0x290 [snd_hda_codec_realtek]
[   17.720190]  [<ffffffffc06a84cb>] patch_alc662+0x17b/0x290 [snd_hda_codec_realtek]
[   17.720193]  [<ffffffffc0639438>] hda_codec_driver_probe+0x68/0x100 [snd_hda_codec]
[   17.720194]  [<ffffffffab52a6ec>] ? devices_kset_move_last+0x4c/0x90
[   17.720196]  [<ffffffffab52e633>] driver_probe_device+0x223/0x430
[   17.720197]  [<ffffffffab52e91f>] __driver_attach+0xdf/0xf0
[   17.720198]  [<ffffffffab52e840>] ? driver_probe_device+0x430/0x430
[   17.720199]  [<ffffffffab52bfbc>] bus_for_each_dev+0x6c/0xc0
[   17.720200]  [<ffffffffab52dd3e>] driver_attach+0x1e/0x20
[   17.720201]  [<ffffffffab52d750>] bus_add_driver+0x170/0x270
[   17.720202]  [<ffffffffc0611000>] ? 0xffffffffc0611000
[   17.720203]  [<ffffffffab52f240>] driver_register+0x60/0xe0
[   17.720204]  [<ffffffffc0611000>] ? 0xffffffffc0611000
[   17.720206]  [<ffffffffc06390da>] __hda_codec_driver_register+0x5a/0x60 [snd_hda_codec]
[   17.720208]  [<ffffffffc061101e>] realtek_driver_init+0x1e/0x1000 [snd_hda_codec_realtek]
[   17.720210]  [<ffffffffab002190>] do_one_initcall+0x50/0x180
[   17.720211]  [<ffffffffab2264a9>] ? kmem_cache_alloc_trace+0x159/0x1b0
[   17.720212]  [<ffffffffab1b69a6>] ? do_init_module+0x27/0x1ef
[   17.720213]  [<ffffffffab1b69de>] do_init_module+0x5f/0x1ef
[   17.720214]  [<ffffffffab12ce80>] load_module+0x2170/0x29d0
[   17.720215]  [<ffffffffab129ba0>] ? __symbol_put+0x60/0x60
[   17.720217]  [<ffffffffab12d853>] SYSC_init_module+0x173/0x190
[   17.720218]  [<ffffffffab12d98e>] SyS_init_module+0xe/0x10
[   17.720219]  [<ffffffffab003c57>] do_syscall_64+0x67/0x160
[   17.720220]  [<ffffffffab802621>] entry_SYSCALL64_slow_path+0x25/0x25
[   17.720221] ---[ end trace 1d14db0ff38c6c44 ]---
[   17.720222] ------------[ cut here ]------------
Comment 7 Justin M. Forbes 2017-04-11 10:55:38 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 8 Justin M. Forbes 2017-04-28 13:16:17 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.